package digital.laboratory.platform.imr.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 毒品库中的毒品检材信息 保存DTO类
 * @TableName b_drug_material_info
 */
@Data
@ApiModel(value = "DrugMaterialInfoDTO", description = "毒品库中的毒品检材信息 保存DTO类")
public class DrugMaterialInfoDTO {

    @ApiModelProperty("毒品检材id")
    private String id;

    /**
     * 关联的案件id 
     */
    @ApiModelProperty("关联的案件id")
    private String caseId;

    /**
     * 毒品检材名称
     */
    @ApiModelProperty("毒品检材名称")
    private String drugName;

    /**
     * 质量/体积
     */
    @ApiModelProperty("质量/体积")
    private String massVolume;

    /**
     * 质量/体积 单位
     */
    @ApiModelProperty("质量/体积 单位")
    private String unit;


    /**
     * 包装是否完整， 1 完整 | 0 不完整
     */
    @ApiModelProperty("包装是否完整， 1 完整 | 0 不完整")
    private Boolean packageComplete;

}