package digital.laboratory.platform.imr.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * 毒品检材的领用归还记录表 保存DTO类
 * @TableName b_drug_usage_record
 */
@Data
@ApiModel(value = "DrugUsageRecordDTO", description = "毒品检材的领用归还记录表 保存DTO类")
public class DrugUsageRecordDTO {

    /**
     * 关联领用的毒品id
     */
    @ApiModelProperty("关联领用的毒品id")
    @NotBlank(message = "请选择领用的检材！")
    private String drugId;

    /**
     * 领用时间
     */
    @ApiModelProperty("领用时间")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd_HH_mm_ss, timezone = DateUtils.TIME_ZONE)
    private LocalDateTime usageDate;

    /**
     * 领用目的
     */
    @ApiModelProperty("领用目的")
    private String usagePurpose;
}