package digital.laboratory.platform.imr.dto;


import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
@ApiModel(value = "按时间或委托生成检材出入库登记表")
public class PrintTableDTO {

    @ApiModelProperty(value = "打印筛选条件1.委托/任务;2.时间")
    private Integer type;


    @ApiModelProperty(value = "委托/任务id")
    private String EventId;

    @ApiModelProperty(value = "mf--毛发/wt--委托/ws--污水--其他....")
    private String source;


    @ApiModelProperty(value = "事件名称")
    private String EventName;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd, timezone = DateUtils.TIME_ZONE)
    @JSONField(format = DateUtils.yyyy_MM_dd)
    private LocalDate beginDate;
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd, timezone = DateUtils.TIME_ZONE)
    @JSONField(format = DateUtils.yyyy_MM_dd)
    private LocalDate finishDate;



}
