package digital.laboratory.platform.imr.dto;


import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
@ApiModel(value = "通用的查询参数dto--选择其中部分数据作为查询参数")
public class QueryDTO {

    //以下为查询条件

    @ApiModelProperty(value = "名称")
    private String name;//名称


    @ApiModelProperty(value = "样本id集合")
    private String sampleIds;//名称

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd, timezone = DateUtils.TIME_ZONE)
    @JSONField(format = DateUtils.yyyy_MM_dd)
    private LocalDate beginDate;
    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd, timezone = DateUtils.TIME_ZONE)
    @JSONField(format = DateUtils.yyyy_MM_dd)
    private LocalDate finishDate;

    @ApiModelProperty(value = "状态--必带参数")
    private Integer status;//状态
    /**
     * 当前页
     */
    @ApiModelProperty(value = "当前页")
    private Integer current;

    /**
     * 每页显示条数
     */

    @ApiModelProperty(value = "每页显示条数")
    private Integer size;

    @ApiModelProperty(value = "总量")
    private Integer total;


    @ApiModelProperty(value = "查询类型字段1.按照样本模糊查询;2.按照任务模糊查询")
    private Integer type;

    @ApiModelProperty(value = "查询参数：房间号")
    private String  roomNo;





}
