package digital.laboratory.platform.imr.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@TableName(value = "cabinet_opening_record", autoResultMap = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "智能物证柜开箱记录")
public class CabinetOpeningRecord extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * 销毁公示id
     */
    @ApiModelProperty(value="存储位置:表示那个格子开箱了")
    private String storageLocation;

    /**
     * 开箱时间
     */
    @ApiModelProperty(value="开箱时间")
    private LocalDateTime openTime;



    @ApiModelProperty(value="开箱人--检材管理员")
    private String openPerson;



    @ApiModelProperty(value="申请人--检材管理员")
    private String applyPerson;



    @ApiModelProperty(value="监督人--这里直接存名字")
    private String supervisor;



    @ApiModelProperty(value="开箱类型:1.扫码开柜2.取检码开柜3.强制/点选开柜")
    private String openType;



    @ApiModelProperty(value="开箱用途:1.检材出库2.检材入库")
    private String openPurpose;



    @ApiModelProperty(value="仓库,标识是哪一个仓库")
    private String warehouse;

}
