package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-21 10:29:03
 * @describe  实体类
 */
@Data
@TableName(value = "sample_inbound_and_outbound_table", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "检材出入库登记表")
public class SampleInboundAndOutboundTable extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * 鉴定人
     */
    @ApiModelProperty(value="鉴定人")
    private String appraiserId;

    /**
     * 分析样出库时间
     */
    @ApiModelProperty(value="分析样出库时间")
    private LocalDateTime outWarehouseDate;

    /**
     * 备注
     */
    @ApiModelProperty(value="备注")
    private String remarks;

    /**
     * 样本id
     */
    @ApiModelProperty(value="样本id")
    private String sampleId;

    /**
     * 入库时间
     */
    @ApiModelProperty(value="入库时间")
    private LocalDateTime warehousingDate;

    /**
     * 检材管理员
     */
    @ApiModelProperty(value="检材管理员")
    private String imAdministrators;

    /**
     * 存放人
     */
    @ApiModelProperty(value="存放人")
    private String recipient;

    @ApiModelProperty(value="归还时间")
    private LocalDateTime returnTime;

    @ApiModelProperty(value="入库监督人")
    private String inboundSupervisor;


    @ApiModelProperty(value="出库监督人")
    private String outboundSupervisor;




}
