package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-17 11:48:03
 * @describe  实体类
 */
@Data
@TableName(value = "storage_cell", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "存储格子")
public class StorageCell extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * 格子编号
     */
    @ApiModelProperty(value="格子编号")
    private String cellNo;

    /**
     * 状态:可用/不可用
     */
    @ApiModelProperty(value="是否存放物品 true存放/false未存放")
    private Boolean status;

    /**
     * 排序
     */
    @ApiModelProperty(value="排序")
    private Long sort;

    /**
     * 柜子id
     */
    @ApiModelProperty(value="柜子id")
    private String cupboardId;

    /**
     * 格子照片
     */
    @ApiModelProperty(value="格子照片")
    private String cellPhoto;

    /**
     * 格子描述
     */
    @ApiModelProperty(value="格子描述")
    private String content;


    /**
     * 文件名称
     */
    @ApiModelProperty(value="文件名称")
    private String fileName;



}
