package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-17 11:45:58
 * @describe  实体类
 */
@Data
@TableName(value = "storage_cupboard", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class StorageCupboard extends BaseEntity {

    /**
     * 柜子id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="柜子id")
    private String id;

    /**
     * 柜子名称
     */
    @ApiModelProperty(value="柜子名称")
    private String name;

    /**
     * 柜子编号
     */
    @ApiModelProperty(value="柜子编号")
    private String cupboardNo;

    /**
     * 规格
     */
    @ApiModelProperty(value="规格")
    private Integer specifications;

    /**
     * 存储类型(测试)
     */
    @ApiModelProperty(value="存储类型(测试)")
    private String storageType;

    /**
     * 状态(存满/为存满)--测试数据
     */
    @ApiModelProperty(value="状态(true.正常使用;false停止使用)--测试数据")
    private Boolean status;

    /**
     * 房间id
     */
    @ApiModelProperty(value="房间id")
    private String roomId;

    /**
     * 柜子照片
     */
    @ApiModelProperty(value="柜子照片")
    private String cupboardPhoto;



    /**
     * updateBy
     */
    @ApiModelProperty(value="updateBy")
    private String updateBy;


    /**
     * 排序
     */
    @ApiModelProperty(value="排序")
    private Long sort;


    /**
     * 文件名称
     */
    @ApiModelProperty(value="文件名称")
    private String fileName;


    @ApiModelProperty(value="类型:柜子/货架")
    private String cupboardType;


    @ApiModelProperty(value="1规则/-1不规则")
    private Integer rule;



}
