package digital.laboratory.platform.imr.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 
 *
 * @author Zhang Xiaolong created at  2023-03-17 11:44:05
 * @describe  实体类
 */
@Data
@TableName(value = "storage_room", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "房间")
public class StorageRoom extends BaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="主键id")
    private String id;

    /**
     * 房间名称(冷冻356)
     */
    @ApiModelProperty(value="房间名称(冷冻356)")
    private String name;

    /**
     * 房间位置(3楼356)
     */
    @ApiModelProperty(value="房间位置(3楼356)")
    private String roomLocation;

    /**
     * 房间照片
     */
    @ApiModelProperty(value="房间照片")
    private String roomPhoto;



    /**
     * updateBy
     */
    @ApiModelProperty(value="updateBy")
    private String updateBy;


    /**
     * 排序
     */
    @ApiModelProperty(value="排序")
    private Long sort;


    /**
     * 文件名称
     */
    @ApiModelProperty(value="文件名称")
    private String fileName;


}
