package digital.laboratory.platform.imr.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import digital.laboratory.platform.imr.dto.UserInfoDTO;
import digital.laboratory.platform.imr.entity.DestructionDetail;
import digital.laboratory.platform.imr.entity.DestructionPublicity;
import digital.laboratory.platform.imr.vo.DestructionPublicityVO;
import digital.laboratory.platform.imr.vo.OutSampleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-24
 * @describe  Mapper 类
 */
@Mapper
public interface DestructionDetailMapper extends BaseMapper<DestructionDetail> {

    /**
     * 查询审核人
     * @param name
     * @param id
     * @return
     */
    List<UserInfoDTO> getApprove(@Param("name") String name,@Param("userId") String id);


    List<OutSampleVO> getPublicityDetail(String id);


}
