package digital.laboratory.platform.imr.query;

import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * 毒品库信息查询对象 Query
 */
@Data
@ApiModel(value = "DrugDepotsQuery", description = "毒品库信息查询对象 Query")
public class DrugDepotsQuery {

    @ApiModelProperty(value = "分页参数，每页多少条, 默认10")
    private Long size = 10L;

    @ApiModelProperty(value = "分页参数， 当前页， 默认1")
    private Long current = 1L;

    @ApiModelProperty(value = "关键字，支持 案件名称, 毒品名称")
    private String keywords;

    @ApiModelProperty(value = "送缴单位id查询")
    private String orgId;

    @ApiModelProperty(value = "案件id查询")
    private String caseId;

    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd)
    private LocalDate startDate;

    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd)
    private LocalDate endDate;
}
