package digital.laboratory.platform.imr.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.imr.dto.DrugDepotsDTO;
import digital.laboratory.platform.imr.entity.DrugCaseInfo;
import digital.laboratory.platform.imr.query.DrugDepotsQuery;
import digital.laboratory.platform.imr.vo.DrugCaseInfoVO;
import digital.laboratory.platform.imr.vo.DrugMaterialInfoVO;

import java.util.List;

/**
* @author ChenJiangBao
* @description 针对表【b_drug_case_info(毒品库中关联的案事件信息)】的数据库操作Service
* @createDate 2024-11-07 12:04:42
*/
public interface DrugCaseInfoService extends IService<DrugCaseInfo> {

    /**
     * 保存案件实体信息和毒品检材信息
     *
     * @param dto
     * @return
     */
    List<DrugMaterialInfoVO> save(DrugDepotsDTO dto);

    /**
     * 分页接口
     * @param query
     * @return
     */
    IPage<DrugCaseInfoVO> getDrugCaseInfoVOPage(DrugDepotsQuery query);

    DrugCaseInfo drugCaseSave(DrugDepotsDTO dto);
}
