package digital.laboratory.platform.imr.vo;

import digital.laboratory.platform.imr.entity.SampleApplyDetailed;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 仅用于申请的样本显示(销毁/外带)
 * 申请样本VO
 * 这个vo是申请的查看详情显示
 */

@Data
@ApiModel(value = "样本申请明细vo")
public class ApplySampleVO extends SampleApplyDetailed {


    /**
     * 样本审核状态
     */
    @ApiModelProperty(value="状态描述")
    private String describeStatus;

    /**
     * 样本名称
     */
    @ApiModelProperty(value="样本名称")
    private String name;


    /**
     * 样本编号
     */
    @ApiModelProperty(value="样本编号")
    private String sampleNo;

    /**
     * 性状
     */


    @ApiModelProperty(value="样本性状")
    private String form;


    /**
     * 当前样本类型(A/B)
     */
    @ApiModelProperty(value="当前样本类型(A/B)")
    private String sampleType;


    @ApiModelProperty(value="样本类型类别)")
    private String category;

    @ApiModelProperty(value="存储方式")
    private String storageMethod;


}
