package digital.laboratory.platform.imr.vo;


import digital.laboratory.platform.imr.entity.SampleStorage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel(value = "柜子样本vo")
public class CabinetSampleVO  {

    @ApiModelProperty(value="案件/事件名称")
    private String eventName;

    @ApiModelProperty(value="来源")
    private String source;

    @ApiModelProperty(value="检材/样本来源名称")
    private String sourceName;

    @ApiModelProperty(value="检材编号")
    private String imNu;

    @ApiModelProperty(value="样本名称")
    private String sampleName;

    @ApiModelProperty(value="A/B")
    private String sampleType;

    @ApiModelProperty(value="样本编号")
    private String sampleNo;

    @ApiModelProperty(value="样本id")
    private String sampleId;

    @ApiModelProperty(value="现有质量")
    private double quality;

    @ApiModelProperty(value="单位")
    private String unit;

    @ApiModelProperty(value="判断标识 true表示有存储,false表示无存储")
    private Boolean identifying;


    /**
     * 存储位置
     */
    @ApiModelProperty(value="存储位置")
    private String storageLocation;

    @ApiModelProperty(value="存储的格子id")
    private String storageCellId;

    @ApiModelProperty(value="楼层")
    private String buildingLv;

    @ApiModelProperty(value="房间号")
    private String roomNo;

    @ApiModelProperty(value="柜子名称")
    private String cabinetName;

    @ApiModelProperty(value="柜子id")
    private String boxId;

}
