package digital.laboratory.platform.imr.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 毒品库中关联的案事件信息 VO 返回前台显示类
 * @TableName b_drug_case_info
 */
@Data
@ApiModel(value = "DrugCaseInfoVO", description = "毒品库中关联的案事件信息 VO 返回前台显示类")
public class DrugCaseInfoVO{
    /**
     * 主键标识
     */
    @ApiModelProperty("id")
    private String id;

    /**
     * 案事件名称
     */
    @ApiModelProperty("案事件名称")
    private String caseName;

    /**
     * 案件编号
     */
    @ApiModelProperty("案件编号")
    private String caseNo;

    /**
     * 送缴单位
     */
    @ApiModelProperty("送缴单位")
    private String handingOverOrg;

    /**
     * 送缴单位
     */
    @ApiModelProperty("送缴单位")
    private String handingOverOrgName;

    /**
     * 送缴日期
     */
    @ApiModelProperty("送缴日期")
    @JsonFormat(pattern = DateUtils.yyyy_MM_dd)
    private LocalDate handingOverDate;

    @ApiModelProperty("送缴检材数量")
    private Integer handingOverCount;

    /**
     * 前端需要展示的机构组件，保存了送缴单位的父级机构id和自己机构id
     */
    @ApiModelProperty("前端需要展示的机构组件，保存了送缴单位的父级机构id和自己机构id")
    private String frontOrgIds;

}