package digital.laboratory.platform.imr.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 出库样本VO
 */

@Data
@ApiModel(value = "样本基本数据")
public class OutSampleVO {


    /**
     * 主键id
     */
    @ApiModelProperty(value="主键id--这里的id指定sample_storage表")
    private String id; //

    /**
     * 样本id
     */

    @ApiModelProperty(value="样本id--不是主键id")
    private String sampleId; //不是主键id

    /**
     * 样本编号
     */

    private String sampleNo;



    private String cellId;//格子id

    /**
     * 样本名称
     */
    private String name;


    /**
     * 样本类型
     */
    private String sampleType;


    /**
     *类别
     */
    private String category;

    /**
     * 现有质量
     */
    private BigDecimal existingQuality;

    /**
     * 存储方式
     */
    private String storageMethod;

    /**
     * 样本状态
     */
    private Integer sampleStatus;


    /**
     * 样本存储位置(看情况显示)
     */
    private String storageLocation;

    private String roomNo;

    /**
     * 性状
     */
    private String form;

    /**
     * 当前持有人
     */
    private String holder;

    /**
     * 当前持有人姓名
     */
    private String holderName;



    private String eventName;//事件名称

    private String source;//事件名称

    @ApiModelProperty("判断是到入库列表还是移出列表， 0 移除 | 1 移入")
    private Integer isPutIn;
}
