package digital.laboratory.platform.imr.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import digital.laboratory.platform.imr.component.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
@Data
@ApiModel(value = "待归还样本信息")
public class ToBeReturnVO {

    @ApiModelProperty(value = "storage表主键id--不是样本id")
    private String id;

    @ApiModelProperty(value = "样本id")
    private String sampleId;

    @ApiModelProperty(value = "事件名称")
    private String eventName;

    @ApiModelProperty(value = "样本名称")
    private String name;

    @ApiModelProperty(value = "样本编号")
    private String sampleNo;

    @ApiModelProperty(value = "样本性状")
    private String form;


    @ApiModelProperty(value = "样本类别")
    private String category;

    @ApiModelProperty(value = "来源")
    private String source;

    @ApiModelProperty(value = "样本类别")
    private String sampleType;

    @JsonFormat(pattern = DateUtils.yyyy_MM_dd, timezone = DateUtils.TIME_ZONE)
    @JSONField(format = DateUtils.yyyy_MM_dd)
    @ApiModelProperty(value = "归还时间")
    private LocalDate returnTime;



    @ApiModelProperty(value = "存储方式")
    private String storageMethod;


    @ApiModelProperty(value = "领取人")
    private String recipientName;

    @ApiModelProperty(value="出库时间")
    private LocalDateTime outRepositoryDate;
}
